Subscribe user to issue
PUT
/repos/{owner}/{repo}/issues/{index}/subscriptions/{user}
const url = 'https://gitea.example.com/api/v1/repos/example/example/issues/1/subscriptions/example';const options = {method: 'PUT', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gitea.example.com/api/v1/repos/example/example/issues/1/subscriptions/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the issue
user
required
string
User to subscribe
Responses
Section titled “Responses”Already subscribed
Media typeapplication/json
Successfully Subscribed
Media typeapplication/json
User can only subscribe itself if he is no admin
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json